Package org.eclipse.gef.zest.fx.handlers

# Class ShowHiddenNeighborsOnTypeHandler

java.lang.Object
org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends javafx.scene.Node>>
org.eclipse.gef.mvc.fx.handlers.AbstractHandler
org.eclipse.gef.zest.fx.handlers.ShowHiddenNeighborsOnTypeHandler

All Implemented Interfaces:
  `IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>`, `org.eclipse.gef.mvc.fx.handlers.IHandler`, `org.eclipse.gef.mvc.fx.handlers.IOnStrokeHandler`

public class ShowHiddenNeighborsOnTypeHandler extends org.eclipse.gef.mvc.fx.handlers.AbstractHandler implements org.eclipse.gef.mvc.fx.handlers.IOnStrokeHandler
The `ShowHiddenNeighborsOnTypeHandler` is an `IOnTypeHandler` that shows all hidden neighbors of its host upon `KeyCode.E` key press.

## Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Constructor Summary

Constructors
Constructor
Description
`ShowHiddenNeighborsOnTypeHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`abortPress()`
`void`
`finalRelease(javafx.scene.input.KeyEvent event)`
`NodePart`
`getHost()`
`void`
`initialPress(javafx.scene.input.KeyEvent event)`
`void`
`press(javafx.scene.input.KeyEvent event)`
`void`
`release(javafx.scene.input.KeyEvent event)`

### Methods inherited from class org.eclipse.gef.mvc.fx.handlers.AbstractHandler

`commit, execute, init, isRegistered, isRegisteredForHost, restoreRefreshVisuals, rollback, storeAndDisableRefreshVisuals`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

## Constructor Details

### ShowHiddenNeighborsOnTypeHandler

public ShowHiddenNeighborsOnTypeHandler()

## Method Details

### abortPress

public void abortPress()

Specified by:
  `abortPress` in interface `org.eclipse.gef.mvc.fx.handlers.IOnStrokeHandler`

### finalRelease

public void finalRelease(javafx.scene.input.KeyEvent event)

Specified by:
  `finalRelease` in interface `org.eclipse.gef.mvc.fx.handlers.IOnStrokeHandler`

### getHost

public NodePart getHost()

Specified by:
  `getHost` in interface `org.eclipse.gef.mvc.fx.handlers.IHandler`
Overrides:
  `getHost` in class `org.eclipse.gef.mvc.fx.handlers.AbstractHandler`

### initialPress

public void initialPress(javafx.scene.input.KeyEvent event)

Specified by:
  `initialPress` in interface `org.eclipse.gef.mvc.fx.handlers.IOnStrokeHandler`

### press

public void press(javafx.scene.input.KeyEvent event)

Specified by:
  `press` in interface `org.eclipse.gef.mvc.fx.handlers.IOnStrokeHandler`

### release

public void release(javafx.scene.input.KeyEvent event)

Specified by:
  `release` in interface `org.eclipse.gef.mvc.fx.handlers.IOnStrokeHandler`